Clover coverage report - PMD - 3.7
Coverage timestamp: Wed May 31 2006 09:25:59 EDT

package stats: | LOC: | 547 |  | Methods: | 63
| NCLOC: | 401 |  | Classes: | 6
| Files: | 5 |  |  |

Package | Conditionals | Statements | Methods | TOTAL

net.sourceforge.pmd.jaxen

75%

79.9%

81%

78.9%

Classes | Conditionals | Statements | Methods | TOTAL

DocumentNavigator

53.6%

65.3%

74.4%

65.5%

Attribute

100%

80%

80%

83.3%

NodeIterator

83.3%

90.3%

88.9%

87.9%

MatchesFunction

75%

90.9%

100%

88.2%

AttributeAxisIterator

90%

95.8%

100%

95%

AttributeAxisIterator.MethodWrapper

100%

100%

100%

100%